|  | Home | Documentation | uddi2__relatedBusinessesList Class Reference updated by Robert van Engelen |

Public Attributes | List of all members
uddi2__relatedBusinessesList Class Reference

Schema urn:uddi-org:api_v2:"relatedBusinessesList". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__relatedBusinessesList:
[legend]

## Public Attributes

uddi2__businessKey | businessKey
| Element reference "urn:uddi-org:api_v2":businessKey.
uddi2__relatedBusinessInfos * | relatedBusinessInfos
| Element reference "urn:uddi-org:api_v2":relatedBusinessInfos.
char * | generic
| Attribute generic of type xs:string.
char * | operator_
| Attribute operator of type xs:string.
enum uddi2__truncated * | truncated
| Attribute truncated of type "urn:uddi-org:api_v2":truncated.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"relatedBusinessesList".

## Member Data Documentation

## ◆ businessKey

uddi2__businessKey uddi2__relatedBusinessesList::businessKey

Element reference "urn:uddi-org:api_v2":businessKey.

Required element

## ◆ generic

char* uddi2__relatedBusinessesList::generic

Attribute generic of type xs:string.

Required attribute

## ◆ operator_

char* uddi2__relatedBusinessesList::operator_

Attribute operator of type xs:string.

Required attribute

## ◆ relatedBusinessInfos

uddi2__relatedBusinessInfos* uddi2__relatedBusinessesList::relatedBusinessInfos

Element reference "urn:uddi-org:api_v2":relatedBusinessInfos.

Required element

## ◆ soap

struct soap* uddi2__relatedBusinessesList::soap

A handle to the soap struct context that manages this class instance.

## ◆ truncated

enum uddi2__truncated* uddi2__relatedBusinessesList::truncated

Attribute truncated of type "urn:uddi-org:api_v2":truncated.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h